Subject: Fw: PO BOX/Florida
From: "Michael B" <[email-masked]>
To: "Elaine Whitney" <[email-masked]>
Date: Thu, 10 Sep 2015 17:02:32 -0400

Hello Elaine.
I am having a hard time understanding why it would be so difficult to get this request completed.  I am not trying to get anyone in trouble but I never had this kind of a delay when giving requests to Carolyn.  I am not sure if that was because she had more experience or what.  We just want to close a box that we never renewed.  Seems like that should have been enough but either someone there is making it difficult or Heather needs some assistance with how this is to be resolved.  Please handle this with care as I don't want Heather to feel slighted or that I trying to be disrespectful.  Let me know if you have any questions.
Thank you,
Michael B
LLPS

From: Bsn Gl Greater Michigan - Grand Rapids, MI 
Sent: Thursday, September 10, 2015 4:34 PM
To: [email-masked] 
Cc: Bsn Gl Greater Michigan - Grand Rapids, MI 
Subject: PO BOX/Florida

Good afternoon, 

I just wanted to check in with you and let you know I am still working on getting the PO Box in Florida closed.

I will update you when I have any new information.

 

Please don't hesitate to contact me if you have any questions.

Thank you, 

 

Heather Pugsley

A/Business Service Network Representative

888-276-1293

[email-masked]

Your privacy is important to us.  If you would like additional information on our privacy policy, please visit us online at: www.usps.com